# Void-desktop

Guides and configuration files of my desktop Void install.

To begin go to the [wiki](https://git.bijl.us/luc/void-desktop/wiki)!

## To do for void-desktop

Important:

- [ ] User packages
- [ ] User services (Turnstile backend)
- [x] Automatic decryption through TPM (Clevis)
- [x] Clevis package
- [x] Booster
- [ ] Hardenend kernel
- [ ] Sysctl optimisations
- [ ] Better luks encryption algoritm (faster)
- [ ] Better boot parameters
- [ ] Better partitioning (/usr, /proc etc their own partitions and also more secure root partition)
- [ ] Better polkit permisissions
- [ ] Application sandboxing (bubblejail, bubblewrap, apparmor)

Less important:

- [ ] macchanger
- [ ] plymouth (for graphical boot up) (not possible with booster)
- [ ] ABRoot
- [ ] Firewall (ufw)

Notes:

https://madaidans-insecurities.github.io/guides/linux-hardening.html#kernel